name: Test build

on:
  push:
    branches: [ main ]

jobs:
  build:
    runs-on: [moon, amd64]
    steps:
      - uses: actions/checkout@v4
      - name: Test build
        run: |
          # echo "${{ secrets.repo_password }}" | podman login -u $USERNAME --password-stdin $REPO
          docker login gitea.ceperka.net -u "${{ secrets.REPO_USERNAME }}" -p "${{ secrets.REPO_PASSWORD }}"
          task pipeline REPO=gitea.ceperka.net/rosti/runtime VERSION=pipeline



